Subject: Re: [PATCH] rpmbuild doesn't like '-' in version strings

From: Ryan Anderson <[email-masked]>
Date: Fri, 6 Jan 2006 20:22:21 -0500

On Fri, Jan 06, 2006 at 02:37:27PM -0800, Junio C Hamano wrote:
>
> Since I do not understand what that "g"
> stands for anyway, how about doing something like this instead?

I'm pretty sure the "g" is my fault, indirectly.  When I submitted the
"AUTO_LOCALVERSION" patch to Linux, I prepended a -g to it, so it would
be possible to tell versions based off of a git tree apart from versions
based off of a CVS tree that used md5 to make a short, semi-unique
indicator.  Presumably, a CVS variant would've done something like
-c012345678, etc.

So, it's just a little mnemonic to hint that the extra version string
came from a git tree, as opposed to some other semi-random source. It's
value is rather dubious, overall, though.

-- 

Ryan Anderson
  sometimes Pug Majere